=== debian/control ===
Source: onevpl
Section: libs
Priority: optional
Maintainer: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake,
 pkgconf,
Standards-Version: 4.7.0
Homepage: https://github.com/intel/libvpl
Vcs-Browser: https://salsa.debian.org/debian/onevpl
Vcs-Git: https://salsa.debian.org/debian/onevpl.git
Rules-Requires-Root: no

Package: libvpl2
Architecture: amd64 x32
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Intel Video Processing Library -- shared library
 Intel Video Processing Library (Intel VPL) provides access to hardware
 accelerated video decode, encode, and processing capabilities on Intel
 GPUs to support AI visual inference, media delivery, cloud gaming, and virtual
 desktop infrastructure use cases.
 .
 This repository contains the following components:
 .
  - Copies of the Intel® VPL API header files
  - Intel VPL Dispatcher
  - Examples demonstrating API usage
 .
 This package includes the dispatcher library

Package: libvpl-dev
Architecture: amd64 x32
Depends:
 libvpl2 (= ${binary:Version}),
 ${misc:Depends},
Description: Intel Video Processing Library -- development files
 Intel Video Processing Library (Intel VPL) provides access to hardware
 accelerated video decode, encode, and processing capabilities on Intel
 GPUs to support AI visual inference, media delivery, cloud gaming, and virtual
 desktop infrastructure use cases.
 .
 This repository contains the following components:
 .
  - Copies of the Intel® VPL API header files
  - Intel VPL Dispatcher
  - Examples demonstrating API usage
 .
 This package includes header files and examples for development.
